[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# MilliSecondOfTheMonth

Calculate number of milliseconds elapsed since the start of the month.

## Declaration

Source position: dateutil.inc line 195

`function MilliSecondOfTheMonth(`
`const AValue: TDateTime`
`):LongWord;`

## Arguments

`AValue` |  | Moment in the month

## Function result

Number of milliseconds elapsed since the start of the month.

## Description

MilliSecondOfTheMonth returns the number of milliseconds that have passed since the start of the month (00:00:00.000) till the moment indicated by AValue. This is a zero-based number, i.e. 00:00:00.000 on the first of the month will return 0.

For an example, see the WeekOfTheMonth function.

## See also

WeekOfTheMonth |  | Extract the week of the month (and optionally month and year) from a DateTime value
DayOfTheMonth |  | Extract the day (of month) part of a DateTime value
HourOfTheMonth |  | Calculate the number of hours passed since the start of the month.
MinuteOfTheMonth |  | Calculate number of minutes elapsed since the start of the month.
SecondOfTheMonth |  | Calculate number of seconds elapsed since the start of the month.
MilliSecondOfTheMonth |  | Calculate number of milliseconds elapsed since the start of the month.

Documentation generated on: Feb 26 2014